9 Replies Latest reply: Nov 15, 2012 5:13 PM by Irena Shaigorodsky RSS

jboss error

Vikas Srivatsav Newbie

Hi, Please some one help me...

    

     I have installed the JBOSS 5.1.0 - GA, it's running fine. But when i tried to open homepage, it's not opening. It's giving error. I am attaching the server and boot log file... Pls some1 help me out to get rid of this problem...

  • 1. Re: jboss error
    iabughosh Master

    it seems that your are having a problem with java versions, what JRE version do you have ??, you need for example jdk 6 & JBoss 5 for JDK 6.

  • 2. jboss error
    Vikas Srivatsav Newbie

    i m using jdk 6 and JRE 1.4

  • 3. jboss error
    iabughosh Master

    try switching to JRE 1.6

  • 4. jboss error
    Peter Johnson Master

    You are currently using JDK 5. This is from boot.log:

     

    14:56:12,450 INFO  [ServerInfo] Java version: 1.5.0_14,Sun Microsystems Inc.

    14:56:12,450 INFO  [ServerInfo] Java Runtime: Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_14-b03)

    14:56:12,450 INFO  [ServerInfo] Java VM: Java HotSpot(TM) Server VM 1.5.0_14-b03,Sun Microsystems Inc.

     

    Then in the server.log there is this error:

     

    2011-04-12 14:49:07,622 WARN  [org.jboss.detailed.classloader.ClassLoaderManager] (main) Unexpected error during load of:org.jboss.resource.metadata.repository.DefaultJCAMetaDataRepository

    java.lang.UnsupportedClassVersionError: Bad version number in .class file

     

    I suspect that you downloaded the version of AS 5.1.0 that was compiled with JDK 6 (there are two binary downloads, the one with 'jdk6' in its name was build and only runs with JDK 6).

  • 5. Re: jboss error
    Vikas Srivatsav Newbie

     

    yes, i was previously using jdk 1.5, now i am using  jdk 1.6 and jre 1.6 still it is giving same error... i am attaching the server and boot log... please do the need...

  • 6. Re: jboss error
    Peter Johnson Master

    No, you are not getting the same error.

     

    But there errors you are getting seem to indicate that there is something very wrong with either the app server download, or with the system configuration. This warning seems to indicate an encoding error (could be related to the locale settings):

     

    2011-04-13 10:05:59,522 WARN  [org.jboss.security.auth.login.XMLLoginConfigImpl] (main) End loadConfig, failed to load config: vfsfile:/D:/WORK/JBOSS%20INSTALL%20SET/jboss-5.1.0.GA/server/default/conf/login-config.xml

    org.jboss.security.auth.login.ParseException: Encountered "<?xml" at line 1, column 1.

    Was expecting one of:

        <EOF>

        <IDENTIFIER> ...

     

    These errors hints at a corrupted download:

     

    2011-04-13 10:06:01,081 ERROR [org.jboss.kernel.plugins.dependency.AbstractKernelController] (main) Error installing to Start: name=WebServer state=Create

    org.jboss.xb.binding.JBossXBRuntimeException: Failed to create a new SAX parser

        at org.jboss.xb.binding.UnmarshallerFactory$UnmarshallerFactoryImpl.newUnmarshaller(UnmarshallerFactory.java:100)

        at org.jboss.web.tomcat.service.deployers.TomcatService.startService(TomcatService.java:147)

        at org.jboss.system.ServiceMBeanSupport.jbossInternalStart(ServiceMBeanSupport.java:376)

        at org.jboss.system.ServiceMBeanSupport.pojoStart(ServiceMBeanSupport.java:216)

    . . .

    Caused by: javax.xml.parsers.ParserConfigurationException: Feature 'http://apache.org/xml/features/xinclude' is not recognized.

        at org.apache.xerces.jaxp.SAXParserFactoryImpl.newSAXParser(Unknown Source)

        at org.jboss.xb.binding.parser.sax.SaxJBossXBParser.<init>(SaxJBossXBParser.java:92)

     

    2011-04-13 10:06:01,439 ERROR [org.jboss.kernel.plugins.dependency.AbstractKernelController] (main) Error installing to Start: name=jboss.jca:name='jms-ra.rar',service=RARDeployment state=Create mode=Manual requiredState=Installed

    java.lang.ClassNotFoundException: org.jboss.resource.adapter.jms.JmsResourceAdapter

     

    I noticed you are running JDK6414 on XP:

     

    10:05:51,792 INFO  [ServerInfo] Java version: 1.6.0_14,Sun Microsystems Inc.

    10:05:51,808 INFO  [ServerInfo] Java Runtime: Java(TM) SE Runtime Environment (build 1.6.0_14-b08)

    10:05:51,823 INFO  [ServerInfo] Java VM: Java HotSpot(TM) Server VM 14.0-b16,Sun Microsystems Inc.

    10:05:51,823 INFO  [ServerInfo] OS-System: Windows XP 5.1,x86

     

    I recommend updating your JDK to the latest (6u24). And also download the JBoss AS again (make sure you get the one with "jdk6" in it's name). And verify the download with the md5 or sha checksums.

  • 7. Re: jboss error
    Vikas Srivatsav Newbie

    Hi Peter,

             

                i have JDK 1.6 and JRE 1.6, still the JBOSS homepage is not opening... it's giving error. i m attaching the boot and server log file and also the error it's giving... please do the need...

  • 8. Re: jboss error
    Peter Johnson Master

    You are still running with JDK 6u14, and did not update to 6u24 (did you forget to set JAVA_HOME?). And you are getting the same warning and error.

     

    Try adding "-verbose:class" to the JAVA_OPTS in run.conf.bat. Then redirect stdout and stderr to a file:

     

    run >> run.log 2>>&1

     

    and post that file.

  • 9. Re: jboss error
    Irena Shaigorodsky Newbie

    Ran into similar issue. Found 2 cases on-line of incorrect XML syntax. Missing or misspelled tags (mine issue as well). Correcting the syntax resolved the issue. See http://www.bonitasoft.org/forum/viewtopic.php?id=6871 and http://codemuch.com/?q=node/252.